Updategiftcardconsent
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/gdpr/consent/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purposes": [],
"ipAddress": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purposes: [],
ipAddress: '<string>',
customerEmail: '<string>',
customerPhone: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/gdpr/consent/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/gdpr/consent/{customerId}"
payload = {
"purposes": [],
"ipAddress": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"customerId": "<string>",
"purposes": [
"<string>"
],
"consentedAt": "2023-11-07T05:31:56Z",
"ipAddress": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Gift Cards
Updategiftcardconsent
POST
/
v2
/
giftcards
/
gdpr
/
consent
/
{customerId}
Updategiftcardconsent
curl --request POST \
--url https://api.loyalty.dog/v2/giftcards/gdpr/consent/{customerId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"purposes": [],
"ipAddress": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
purposes: [],
ipAddress: '<string>',
customerEmail: '<string>',
customerPhone: '<string>'
})
};
fetch('https://api.loyalty.dog/v2/giftcards/gdpr/consent/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.loyalty.dog/v2/giftcards/gdpr/consent/{customerId}"
payload = {
"purposes": [],
"ipAddress": "<string>",
"customerEmail": "<string>",
"customerPhone": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"customerId": "<string>",
"purposes": [
"<string>"
],
"consentedAt": "2023-11-07T05:31:56Z",
"ipAddress": "<string>",
"expiresAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
JWT access token obtained from POST /v2/token.
Path Parameters
Query Parameters
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Required string length:
24Pattern:
^[0-9a-f]{24}$Example:
"5eb7cf5a86d9755df3a6c593"
Body
application/json
